# Uses of Interface
org.eclipse.mat.collect.IteratorInt

Packages that use IteratorInt
Package
Description
org.eclipse.mat.collect
Collections optimized for keys and values of ints and longs.
org.eclipse.mat.parser.index
Implementations for handling indexes.

## Uses of IteratorInt in org.eclipse.mat.collect

Methods in org.eclipse.mat.collect that return IteratorInt
Modifier and Type
Method
Description
`IteratorInt`
ArrayInt.`iterator()`
get an iterator to go through the list
`IteratorInt`
SetInt.`iterator()`
get an iterator to go through the set
`IteratorInt`
HashMapIntLong.`keys()`
Get a way of iterating over the keys
`IteratorInt`
HashMapIntObject.`keys()`
Get a way of iterating over the keys

## Uses of IteratorInt in org.eclipse.mat.parser.index

Methods in org.eclipse.mat.parser.index with parameters of type IteratorInt
Modifier and Type
Method
Description
`IIndexReader.IOne2OneIndex`
IndexWriter.IntIndexStreamer.`writeTo(DataOutputStream out, long position, IteratorInt iterator)`
Write out a page at a particular position.
`IIndexReader.IOne2OneIndex`
IndexWriter.IntIndexStreamer.`writeTo(File indexFile, IteratorInt iterator)`